{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/DavePatrick/1Stop-to-MTNVBSIntegration/1.0.0"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/DavePatrick/1Stop-to-MTNVBSIntegration/1.0.0"}],"info":{"description":"Communication from 1-Stop to MTN - Vehicle Booking Integration","version":"1.0.0","title":"1-Stop to MTN VBS Integration","contact":{"email":"you@your-company.com"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/ReleaseDataForPin":{"get":{"security":[{"BasicAuth":[]}],"tags":["developers"],"summary":"Query from 1-Stop to MTN for Release Request data","parameters":[{"in":"cookie","name":"Terminal","required":true,"schema":{"type":"string"},"description":"The Master Terminal Terminal code"},{"in":"query","name":"pinNo","description":"Release Request PIN generated by MTN","required":true,"schema":{"type":"integer","minimum":1000,"maximum":9999}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseDataForPinResult"}}}},"400":{"description":"Unable to execute method","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"401":{"description":"Unauthorized - Username / Password not OK"},"403":{"description":"Forbidden - User does not have permission to access the Terminal or the Webservice"},"404":{"description":"Not Found - Request path not found"},"500":{"description":"System Error - Exception"}}}},"/CargoTypes":{"get":{"security":[{"BasicAuth":[]}],"tags":["developers"],"summary":"Query from 1-Stop to MTN to retrieve a list of Cargo Type codes and descriptions","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CargoTypeResult"}}}},"400":{"description":"Unable to execute method","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"401":{"description":"Unauthorized - Username / Password not OK"},"403":{"description":"Forbidden - User does not have permission to access the Terminal or the Webservice"},"404":{"description":"Not Found - Request path not found"},"500":{"description":"System Error - Exception"}}}},"/CarrierCodes":{"get":{"security":[{"BasicAuth":[]}],"tags":["developers"],"summary":"Query from 1-Stop to MTN to retrieve a list of Carrier codes and descriptions","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CarrierResult"}}}},"400":{"description":"Unable to execute method","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"401":{"description":"Unauthorized - Username / Password not OK"},"403":{"description":"Forbidden - User does not have permission to access the Terminal or the Webservice"},"404":{"description":"Not Found - Request path not found"},"500":{"description":"System Error - Exception"}}}}},"components":{"securitySchemes":{"BasicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ReleaseRequest":{"type":"object","properties":{"status":{"type":"string","description":"Release Request status"},"releaseCode":{"type":"string","description":"Release Request code"},"totalRequested":{"type":"number","format":"float [22,4]","description":"Total number of items requested as part of this release request"},"totalOutstanding":{"type":"number","format":"float [22,4]","description":"Total number of items still to be delivered on this request"},"totalBeingActioned":{"type":"number","format":"float [22,4]","description":"Total number of items currently being actioned (moved to/from a truck)"},"totalDelivered":{"type":"number","format":"float [22,4]","description":"Total number of items already delivered for this release request"},"operator":{"type":"string","description":"MTN Operator Code for the operator assigned to the release request"},"carrier":{"type":"string","description":"MTN Carrier Code for the carrier assigned to this release request"},"cargoType":{"type":"string","description":"MTN Cargo Type code for the cargo type assigned to the release request"},"cargoItems":{"description":"List of Ids of cargo items assigned to this release request","type":"array","items":{"type":"string"}},"cargoItemsDelivered":{"description":"List of Ids of cargo items already delivered as part of this release request","type":"array","items":{"type":"string"}}}},"ReleaseDataForPinResult":{"type":"object","properties":{"resultCode":{"type":"integer","description":"Result Code 0 if successful"},"allErrors":{"$ref":"#/components/schemas/ErrorList"},"allWarnings":{"$ref":"#/components/schemas/ErrorList"},"allInfo":{"$ref":"#/components/schemas/ErrorList"},"releaseRequest":{"$ref":"#/components/schemas/ReleaseRequest"}}},"CargoType":{"type":"object","properties":{"code":{"type":"string"},"description":{"type":"string"}}},"CargoTypeArray":{"type":"array","items":{"$ref":"#/components/schemas/CargoType"}},"CargoTypeResult":{"type":"object","properties":{"resultCode":{"type":"integer","description":"Result Code 0 if successful"},"allErrors":{"$ref":"#/components/schemas/ErrorList"},"allWarnings":{"$ref":"#/components/schemas/ErrorList"},"allInfo":{"$ref":"#/components/schemas/ErrorList"},"cargoTypes":{"$ref":"#/components/schemas/CargoTypeArray"}}},"Carrier":{"type":"object","properties":{"code":{"type":"string"},"description":{"type":"string"}}},"CarrierArray":{"type":"array","items":{"$ref":"#/components/schemas/Carrier"}},"CarrierResult":{"type":"object","properties":{"resultCode":{"type":"integer","description":"Result Code 0 if successful"},"allErrors":{"$ref":"#/components/schemas/ErrorList"},"allWarnings":{"$ref":"#/components/schemas/ErrorList"},"allInfo":{"$ref":"#/components/schemas/ErrorList"},"cargoTypes":{"$ref":"#/components/schemas/CarrierArray"}}},"ErrorList":{"type":"array","items":{"$ref":"#/components/schemas/Error"}},"Error":{"type":"object","properties":{"code":{"type":"integer","description":"Master Terminal Code"},"text":{"type":"string","description":"Message text"}}},"ErrorResult":{"type":"object","properties":{"resultCode":{"type":"integer","description":"Result Code 0 if successful"},"allErrors":{"$ref":"#/components/schemas/ErrorList"},"allWarnings":{"$ref":"#/components/schemas/ErrorList"},"allInfo":{"$ref":"#/components/schemas/ErrorList"}}}}},"tags":[{"name":"developers","description":"\tOperations available to regular developers"}]}